{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <ul class="navbar-nav ms-3">
      <li class="nav-item active">
        <a class="navbar-brand nav-link fw-bold" href="/">Nito-dev profile</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/blog">Blog</a>
      </li>
    </ul>

    <ul class="navbar-nav ms-auto me-3">
      {% if user.is_authenticated %}
        <li class="nav-item-disabled">
          <a class="nav-link">Hi <b>{{ user.username }}!</b></a>
        </li>
        <li class="nav-item">
          <a class="btn btn-outline-danger" href="/user/logout">Logout</a>
        </li>
      {% else %}
        <li class="nav-item-disabled">
          <a class="nav-link"><b>Join the club!</b></a>
        </li>
        <li class="nav-item">
          <a class="btn btn-outline-primary" href="/user/register">Register</a>
          <a class="btn btn-primary" href="/user/login">Login</a>
        </li>
      {% endif %}
    </ul>
  </nav>

  {% block content %}
  {% endblock content %}

  <footer class="navbar navbar-light bg-light">
    <a class="nav-item-disabled nav-link ms-3">Made by Nito-dev. </a>
  </footer>

</body>

</html>
